RBL Projects - Feature #311

Reg : Application & DB server segregation
11/21/2023 11:06 AM - Payodhi

Status: Closed Start date: 11/21/2023

Priority: High Due date: 11/30/2023

Assignee: Shiva_CIMS % Done: 0%
Estimated time: 0.00 hour
Spent time: 0.00 hour

Project categorizatio New

n:

Description

Dear Shiva,

According to recommendations from RBL Infosec & RBL Suggestion, it is advised to establish a 2-tier architecture for our LOS
application.
Therefore, we kindly request you to promptly segregate the application and database servers.

History

#1 - 11/21/2023 01:06 PM - Vijayakumar

Dear Shiva,

We are okay with it; please proceed with the necessary actions.

#2 - 01/15/2024 04:06 PM - Shiva_CIMS

- Status changed from New to In Progress

- Assignee changed from Shiva_CIMS to Rajkumar

Greetings,

Please generate a new database server for segregation and provide the corresponding IP address.
Additional Notes:

1. Create a new subdomain for testing purposes and restore the live database on the new database server.
Subdomains:

. rblandroid.nocpl.in

. rblro.nocpl.in

. rblom.nocpl.in

. rblapi.nocpl.in

. rblcb.nocpl.in
. rblpsm.nocpl.in
#3 - 01/16/2024 11:16 AM - Rajkumar

- Assignee changed from Rajkumar to Shiva_CIMS

We have established new servers and a domain for RBL server segregation. Please refer to the details below for your information.
Note : RBL_DB has been restored in new DB server.

Server Details :

S.no Server Name Server Public IP Server Private IP
1 RBL-DB-NOCPL 3.108.211.52 172.31.24.56

S.no New Subdomain
1 rblcb.nocpl.in
2 rblandroid.nocpl.in
3 rblbm.nocpl.in
4 rblao.nocpl.in
5 rblpsm.nocpl.in
6 rblapi.nocpl.in
7 rblro.nocpl.in

#4 - 01/16/2024 09:18 PM - Shiva_CIMS
- Assignee changed from Shiva_CIMS to Vijayakumar

Greetings,

We have successfully completed the DB and Application server segregation and tested the connectivity and confirm us for Production Deployment.

#5 - 01/17/2024 04:18 PM - Vijayakumar

- File Functional_TC_RBL_Application & DB server Segregation xlsx.xlsx added

- Assignee changed from Vijayakumar to Shiva_CIMS

Dear Shiva,

After thorough testing on both mobile and web platforms, we confirm that it is functioning properly. Please proceed with moving it to production.

#6 - 01/17/2024 05:19 PM - Rajkumar

- File Security_ TC_NOCPL_Application & DB server Segregation.xlsx added

Greetings,

Please find the security test case.

#7 - 01/18/2024 10:33 PM - Shiva_CIMS

- File Release_Document_Application & DB Segregation.docx added

- Status changed from In Progress to Resolved

- Assignee changed from Shiva_CIMS to Payodhi

Greetings,

| appreciate your confirmation, and | wanted to inform you that the deployment has been successfully implemented in the production environment.

Thank you,

#8 - 01/19/2024 10:58 AM - Payodhi
- Status changed from Resolved to Closed

- Assignee changed from Payodhi to Shiva_CIMS

Dear Shiva,

Thanks for your valuable support.

Files

BRD_Application & DB Server Segregation.DOCX
